*;
*  Convert SAS dates to Excel dates using a style override
*  and a SAS format.
*;

******************************************************************
*
*  TO DO: 
*    Line 32:  Use the style element named  data_mdy  to control
*      the appearance of the "Data" location of the SubmissionDate
*      and ApprovalDate columns.
*
*    Line 34:  Note the use of the SAS format for the SubmissionDate
*      and ApprovalDate columns.
*
******************************************************************;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='DrugApprovals.xml' style=XLsansPrinter;

  title1 'U.S. New Drug (NME) Approvals of #BYVAL(Year):';
  title2 'NDA Review Times by Drug';
  footnote;

  *  Create a separate worksheet for each year;

  proc print data=sample.DrugApprovals noobs label split='*';
    by year;
    pageby year;
    var Drug Firm;
    var Rating / style(Data)=data_center;
    var SubmissionDate ApprovalDate;
    var ReviewTime;
    format SubmissionDate ApprovalDate yymmdd10.;
  run; quit;

ods tagsets.ExcelXP close;