*;
*  Add an Excel formula and Excel format to the "ReviewTime"
*  column using a style override.
*;

******************************************************************
*
*  TO DO: 
*    Line 30:  Use the style element named  data_monthcalc
*      to control the appearance of the "Data" location of 
*      the ReviewTime column.
*
******************************************************************;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='DrugApprovals.xml' style=XLsansPrinter;

  title1 'U.S. New Drug (NME) Approvals of #BYVAL(Year):';
  title2 'NDA Review Times by Drug';
  footnote;

  *  Create a separate worksheet for each year;

  proc print data=sample.DrugApprovals noobs label split='*';
    by year;
    pageby year;
    var Drug Firm;
    var Rating / style(Data)=data_center;
    var SubmissionDate ApprovalDate / style(Data)=data_mdy;
    var ReviewTime;
    format SubmissionDate ApprovalDate yymmdd10.;
  run; quit;

ods tagsets.ExcelXP close;