*;
*  Get the TITLE text into the worksheets using
*  tagset options.
*;

******************************************************************
*
*  TO DO: 
*    Line 19:  Supply the tagset options  embedded_titles='yes'
*      and  suppress_bylines='yes'
*
******************************************************************;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='DrugApprovals.xml' style=XLsansPrinter;

  *  Set some tagset options;

  ods tagsets.ExcelXP options();

  title1 'U.S. New Drug (NME) Approvals of #BYVAL(Year):';
  title2 'NDA Review Times by Drug';
  footnote;

  *  Create a separate worksheet for each year;

  proc print data=sample.DrugApprovals noobs label split='*';
    by year;
    pageby year;
    var Drug Firm;
    var Rating / style(Data)=data_center;
    var SubmissionDate ApprovalDate / style(Data)=data_mdy;
    var ReviewTime / style(Data)=data_monthcalc;
    format SubmissionDate ApprovalDate yymmdd10.;
  run; quit;

ods tagsets.ExcelXP close;
