*;
*  Name the worksheets using the BY group values.
*;

******************************************************************
*
*  TO DO: 
*    Line 24:  Supply the tagset option  sheet_interval  with a
*      value that specifies that new worksheets will be created 
*      for each new BY group value.
*
*    Line 24:  Supply the tagset option  sheet_label  with a 
*      blank value.
*
******************************************************************;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='DrugApprovals.xml' style=XLsansPrinter;

  *  Set some tagset options;

  ods tagsets.ExcelXP options(embedded_titles='yes'
                              suppress_bylines='yes'
                              );

  title1 'U.S. New Drug (NME) Approvals of #BYVAL(Year):';
  title2 'NDA Review Times by Drug';
  footnote;

  *  Create a separate worksheet for each year;

  proc print data=sample.DrugApprovals noobs label split='*';
    by year;
    pageby year;
    var Drug Firm;
    var Rating / style(Data)=data_center;
    var SubmissionDate ApprovalDate / style(Data)=data_mdy;
    var ReviewTime / style(Data)=data_monthcalc;
    format SubmissionDate ApprovalDate yymmdd10.;
  run; quit;

ods tagsets.ExcelXP close;