*;
*  Create narrow columns with wrapped text,
*  using tagset options.
*;

******************************************************************
*
*  TO DO: 
*    Line 28:  Supply the tagset options to set the point size
*      and "fudge factor" to a value of 1. 
*
*    Line 29:  Note the column widths specified using the 
*      tagset option absolute_column_width.
*
*    Line 30:  Supply the tagset option to cause the row heights
*      to be "autofit".
*
******************************************************************;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='DrugApprovals.xml' style=XLsansPrinter;

  *  Set some tagset options;

  ods tagsets.ExcelXP options(embedded_titles='yes'
                              suppress_bylines='yes'
                              sheet_interval='bygroup' sheet_label=' '
                              
                              absolute_column_width='143,110,36,58.5,58.5,57.75'
                              );

  title1 'U.S. New Drug (NME) Approvals of #BYVAL(Year):';
  title2 'NDA Review Times by Drug';
  footnote;

  *  Create a separate worksheet for each year;

  proc print data=sample.DrugApprovals noobs label split='*';
    by year;
    pageby year;
    var Drug Firm;
    var Rating / style(Data)=data_center;
    var SubmissionDate ApprovalDate / style(Data)=data_mdy;
    var ReviewTime / style(Data)=data_monthcalc;
    format SubmissionDate ApprovalDate yymmdd10.;
  run; quit;

ods tagsets.ExcelXP close;