*  Directory for SAS code, data and output - remember trailing slash;

%let SAMPDIR=C:\HOW\DelGobbo\;

*  Library containing the sample data;

libname sample "&SAMPDIR" access=read;

*  Library to store styles and tagsets;

libname mylib "&SAMPDIR";

*  Set the ODS search path for styles and tagsets;

ods path mylib.tmplmst(update)
         sashelp.tmplmst(read);

*  Include recent version of the ExcelXP ODS tagset;

%include "&SAMPDIR.ExcelXP.sas";

*  Create a custom style based on the stock "sansPrinter" style;

proc template;
  define style styles.XLSansPrinter;
    parent=styles.sansPrinter;

    /*  Controls the appearance of all column headings  */

    style header from header /
      background=white
      font_size=10pt
      just=center;

    /*  Used to control the appearance of the Rating "data" cells  */

    style data_center from data /
      just=center;

    /*  Used to convert SAS date values to Excel date values  */

    style data_mdy from data /
      just=right
      tagattr='format:m/d/yyyy type:DateTime';

    /*  Used to add a formula and format to the ReviewTime "data" cells  */

    style data_monthcalc from data_center /
      tagattr='formula:=ROUND(((RC[-1]-RC[-2])/365.24)*12,1) format:0.0';

  end;
run; quit;